Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 24 Dec 2021 02:41:42 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns My entire shopping experience from buying to delivery to returns was just wonderful with Centrepoint. Delivery in time. I requested for return of a couple of items which didn’t fit. My request was immediately achnowledged.The very next day the items were collected and within a couple of days the amount was refunded to my credit card as promised.A very satisfied customer here. Unfortunately, it was just the opposite with Max. Items were never collected despite repeated reminders. When I myself went to the store and returned the items, the manager took my card details etc and promised a refund to the card within a couple of days. I received a mail from Max saying  my refund was on its way but strangely the next morning I received another mail stating that the refund was in the form of  a voucher to be used within 6 months.I wrote several mails insisting on a return to credit card instead but every time the reply was the same  autogenerated mail that a voucher has been issued. Finally, when I tried using the voucher, it’s coming invalid and there is no reply to my mail either. I am shocked at the differential treatment by the 2 companies. It’s a stark contrast. I shopped on the same day from both. Requested for a return from both on the 5th. I got my credit back to my card by the 12of Dec from Centrepoint without any hassle whereas with Max not only did I have to go to the store to return the items myself , no credit was ever returned and an invalid voucher has been issued. A very harassed costumer here. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3658420